This is a dataset for exploring other solutions to the CodeCut problem or 
improving LFA.

Each of the targets is an ELF file with DWARF debug information, as well as
a .map file that was produced by ld at link time (showing object file
boundaries).  Some of the larger targets have a trimmed .map file 
(with "_trim") in the filename - this is basically just the object file
boundaries to make parsing faster.

You can use map_read.py to test LFA output (or any other solution to the
CodeCut problem)

Syntax:
map_read.py <ground truth map file> <CodeCut/LFA map file>

This will output a 3 part score: match %, gap %, and underlap %

Expected results for LFA:

Gnuchess - Linux binary (x86)		76.1	3.2	20.7
PX4 Firmware / NuttX (ARM)		82.2	13.6	4.2
GoodFET 41 Firmware (msp430)		76.1	0	23.9
Tmote Sky Firmware / Contiki (msp430)	93.3	0	6.7
NXP Httpd Demo / FreeRTOS (ARM)		86.7	1.4	11.9

A perfect result would be 100% match with no gap and no underlap.
